### Method

# Clutter GestureAction get_motion_delta

#### Declaration [src]

    gfloat
    clutter_gesture_action_get_motion_delta (
      ClutterGestureAction* action,
      guint point,
      gfloat* delta_x,
      gfloat* delta_y
    )

#### Description [src]

Retrieves the incremental delta since the last motion event during the dragging.

#### Parameters

`point`

  Type: `guint`

  The touch point index, with 0 being the first touch point received by the action.

`delta_x`

  Type: `gfloat*`

  Return location for the X axis component of the incremental motion delta.

  The argument will be set by the function.
  The argument can be `NULL`.

`delta_y`

  Type: `gfloat*`

  Return location for the Y axis component of the incremental motion delta.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gfloat`

The distance since last motion event.